package haskell.lang;

/**
 * 
 */
public class Exception extends RuntimeException {

    private static final long serialVersionUID = 1L;

    public Exception() {
    }

    public Exception(final String message) {
        super(message);
    }

    public Exception(final Throwable cause) {
        super(cause);
    }

    public Exception(final String message, final Throwable cause) {
        super(message, cause);
    }

}
